<?php use_stylesheet('formulaire.css') ?>
<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<div class="abu_form">
<form action="<?php echo url_for('devoirs/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?> id="myform">
<?php if (!$form->getObject()->isNew()): ?>
<h2>Edition du devoir</h2>
<input type="hidden" name="sf_method" value="put" />
<?php else: ?>
<h2>Nouveau devoir</h2>
<?php endif; ?>
    <ul class='formRegister'>
      <?php if (isset($gsMessage)): ?>
        <div class="notice"><?php echo $gsMessage ?></div>
      <?php endif; ?>
			<?php if ($form->hasGlobalErrors()): ?>
	        <?php foreach ($form->getGlobalErrors() as $name => $error): ?>
	          <li class='error'><?php echo $error ?></li>
	        <?php endforeach; ?>
			<?php endif; ?>
			<?php foreach ($form as $widget): ?>
			<?php if (!$widget->isHidden()) { ?>
			 <li>
                             <div class="abu_ligne_form">
                                <?php if ($widget->hasError()): ?>
                                   <span class="abu_form_span_error" title="<?php echo $widget->getError(); ?>"><?php echo $widget->getError(); ?></span>
                                <?php endif; ?>
			 	<span class="abu_form_span">
			 	  <?php echo $widget->renderLabel(); ?>
				</span>
                                <span class="abu_form_span_render">
			 	  <?php echo $widget->render() ?>
                                </span>
                                <?php if ($widget->renderHelp()): ?>
                                  <div class="abu_form_span_help" ><?php echo str_replace ("<br />", "", $widget->renderHelp()); ?></div>
                                <?php endif; ?>
                             </div>
			 </li>
			 <?php } else { ?>
			 	<li style="height: 1px;"><?php echo $widget->render() ?></li>
			 <?php } ?>
			<?php endforeach; ?>
        <li>
          <div class="abu_btn_center">
          <?php if (isset($sJour)): ?>
              <?php echo link_to('Annuler', '@cahier_texte?jour='.$sJour, array('class' => 'abu_icone_retour_button abu_button')) ?>
          <?php else: ?>
              <?php echo link_to('Annuler', '@cahier_texte', array('class' => 'abu_icone_retour_button abu_button')) ?>
          <?php endif; ?>
          <input type="submit" id='submit' value="Envoyer" class="abu_icone_valider_button abu_button" />
          </div>
        </li>
    </ul>
</form>
</div>