<?php use_stylesheet('moncompte.css') ?>
<?php use_stylesheet('overlay_avatar.css') ?>
<?php use_javascript('jquery.tools.min.js'); ?>
<script type="text/javascript">
    $(document).ready(function(){
        $("#abu_avatar_overlay").overlay({expose: {
            color: '#a6c1d2',
            opacity: '0.6',
            loadSpeed: 200
        },  top: "center"});
    });
    function openAvatar() {
        $("#abu_avatar_overlay").overlay().load();
    }
    function selectAvatar(sAvatar) {
        $('input:radio[name="choix_avatar"]').filter('[value='+sAvatar+']').attr('checked', true);
    }
    function changeAvatar() {
        sTypeAvatar = $('input[type=radio][name=choix_avatar]:checked').attr('value');
        if (sTypeAvatar == undefined) {
            alert('Choisir un avatar');
            return false;
        } else {
          $.ajax({
               type: "POST",
               url: "<?php echo url_for('main/avatarAjax') ?>",
               dataType: "json",
               async: false,
               data: "sAvatar="+sTypeAvatar,
               success: function(sData){
                   $('#abu_image_avatar').attr('src', sData.avatar);
                   $("#abu_avatar_overlay").overlay().close();
               },
               error: function (sData) {
                  alert('Error server');
               }
          });              
        }
    }
</script>
<div class="overlay_avatar" id="abu_avatar_overlay">
    <div class="overlay_avatar_new_display">
        <div class="overlay_avatar_new_head">
            <h1>Choisir votre avatar</h1>
        </div>
        <div class="overlay_avatar_corps">
          <?php foreach($aAvatars as $sAvatar): ?>
            <div class="abu_avatar_choix_bloc">
            <?php echo image_tag('/images/avatars/'.$sAvatar, array('onClick' => 'selectAvatar("'.$sAvatar.'")')) ?><input type="radio" name="choix_avatar" value="<?php echo $sAvatar ?>" <?php if ($sAvatarClient == $sAvatar) echo 'CHECKED'?>>
            </div>
          <?php endforeach; ?>
        </div>
        <div id="overlay_avatar_actions">
            <a href="#" onClick="changeAvatar()">Valider</a>
        </div>
    </div>
</div>
<div class="abu_moncompte">
    <div class="abu_moncompte_bloc">
        <h2>Mon compte</h2>
        <div class="abu_moncompte_bloc_info">
            <div class="abu_moncompte_bloc_info_user">
                <p>&nbsp;</p>
                <p><label>Nom :</label><span><?php echo ucwords($sf_user->getGuardUser()->getFirstName()) ?></span></p>
                <p><label>Prénom :</label><span><?php echo $sf_user->getGuardUser()->getLastName() ?></span> </p>
                <p><label>Classe / Groupe :</label>
                    <span>
                    <?php foreach ($aGroupe as $sGroupe): ?>
                        <?php echo $sGroupe ?> /
                    <?php endforeach; ?>
                    </span></p>
                <p><label>Adresse mail :</label><span><?php echo $sf_user->getGuardUser()->getEmailAddress() ?></span></p>
                <p>&nbsp;</p>
            </div>
            <div class="abu_moncompte_bloc_avatar">                	
                <div id="abu_image_avatar_bloc">
                    <?php echo image_tag($sImage, array('id' => 'abu_image_avatar', 'onClick' => 'openAvatar()')) ?>
                    <a href="#" onClick="openAvatar()" id="abu_moncompte_bloc_avatar_submit">Changer d'avatar</a>
                </div>
            </div>
            <div class="abu_moncompte_bloc_password">
            <?php if ($_SERVER['SERVER_NAME'] != sfConfig::get('app_host_cas')):  ?> 
            <?php echo link_to('Changer mon mot de passe', '@sf_guard_password', array('class' => 'menu_icone_password')) ?>
            <?php endif; ?>
            </div>
        </div>
    </div>
</div>
