<?php use_stylesheet('formulaire.css') ?>
<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<script type="text/javascript">
function displayMessage() {
    if ($("#abu_message_old").is(":visible")) {
     $("#abu_message_old").hide();   
    } else {
     $("#abu_message_old").show();    
    }        
}
</script>
<div class="abu_form">
<form action="<?php echo url_for('message_liaison/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId().'&id_cahier_liaison='.$nIdCahierLiaison : '?id_cahier_liaison='.$nIdCahierLiaison)) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?> id="myform">
<?php if (!$form->getObject()->isNew()): ?>
<input type="hidden" name="sf_method" value="put" />
<?php endif; ?>
    <ul class='formRegister'>
      <?php if (isset($gsMessage)): ?>
        <div class="notice"><?php echo $gsMessage ?></div>
      <?php endif; ?> 
        <?php $nMessageId = $form->getDefault('id_message') ?>
        <?php if ($nMessageId != ''): ?>
          <?php $oMessageOld = Doctrine::getTable('tbl_message')->find($nMessageId) ?>
          <div class="abu_form_display_message">
              <a href="#" onClick="displayMessage()">Afficher le message précédent</a>
          </div>
          <div id="abu_message_old"> 
          <li>
               <?php
                   $oFromParent = $oMessageOld->getSfGuardUser();
                   $sOldMessage =  "<BR />";                   
                   $sOldMessage .=  "De : ".$oFromParent->getFirstName().' '.$oFromParent->getLastName().' ('.$oFromParent->getEmailAddress().')';
                   $sOldMessage .=  "<br />";
                   $sOldMessage .=  "Sujet: ".$oMessageOld->getSujet();
                   $sOldMessage .=  "<br />";
                   $sOldMessage .=  "<div class='abu_message_old'>";
                   $sOldMessage .=  sfOutputEscaper::unescape(nl2br($oMessageOld->getMessage()));
                   $sOldMessage .=  "</div>";
                   echo $sOldMessage;
               ?>              
          </li>
          <?php if ($oMessageOld->getNode()->getAncestors()): ?>
          <?php foreach ($oMessageOld->getNode()->getAncestors() as $oParent): ?>
            <li>
               <?php
                   $oFromParent = $oParent->getSfGuardUser();
                   $sOldMessage =  "<BR />";                   
                   $sOldMessage .=  "De : ".$oFromParent->getFirstName().' '.$oFromParent->getLastName().' ('.$oFromParent->getEmailAddress().')';
                   $sOldMessage .=  "<br />";
                   $sOldMessage .=  "Sujet: ".$oParent->getSujet();
                   $sOldMessage .=  "<br />";
                   $sOldMessage .=  "<div class='abu_message_old'>";
                   $sOldMessage .=  sfOutputEscaper::unescape(nl2br($oParent->getMessage()));
                   $sOldMessage .=  "</div>";
                   echo $sOldMessage;
               ?>
            </li>
          <?php endforeach; ?>
          <?php endif; ?>
          </div>
        <?php endif; ?>
	<?php if ($form->hasGlobalErrors()): ?>
	    <?php foreach ($form->getGlobalErrors() as $name => $error): ?>
	        <li class='error'><?php echo $error ?></li>
	    <?php endforeach; ?>
	<?php endif; ?>
        <?php foreach ($form as $widget): ?>
        <?php if (!$widget->isHidden()) { ?>
         <li>
             <div class="abu_ligne_form">
                <?php if ($widget->hasError()): ?>
                   <span class="abu_form_span_error" title="<?php echo $widget->getError(); ?>"><?php echo $widget->getError(); ?></span>
                <?php endif; ?>
                <span class="abu_form_span">
                  <?php echo $widget->renderLabel(); ?>
                </span>
                <span class="abu_form_span_render">
                  <?php echo $widget->render() ?>
                </span>
                <?php if ($widget->renderHelp()): ?>
                  <div class="abu_form_span_help" ><?php echo str_replace ("<br />", "", $widget->renderHelp()); ?></div>
                <?php endif; ?>
             </div>
         </li>
         <?php } else { ?>
                <li style="height: 1px;"><?php echo $widget->render() ?></li>
         <?php } ?>
        <?php endforeach; ?>
        <li>
          <div class="abu_btn_center">
          <?php echo link_to('Annuler', $sf_user->hasFlash('retour')?'@'.$sf_user->getFlash('retour'):'@cahier_liaison', array('class' => 'abu_icone_retour_button abu_button')) ?>
          <input type="submit" id='submit' value="Envoyer" class='abu_icone_valider_button abu_button' />
          </div>
        </li>
    </ul>
</form>
</div>