<?php use_helper('Date') ?>
<?php use_stylesheet('cahier_liaison.css') ?>
<?php use_javascript('jquery.tools.min.js') ?>
<?php use_stylesheet('jquery.treeview.css') ?>
<?php use_javascript('tree/jquery.cookie.js') ?>
<?php use_javascript('tree/jquery.treeview.js') ?>
<script type="text/javascript">
$(document).ready(function(){
        $("#navigation").treeview({
                persist: "location",
                collapsed: true,
                open: 'close',
                unique: false
        });
        $("#mies1").overlay({expose: {
                color: '#000',
                opacity: '0.6',
                loadSpeed: 200
            },  top: "center"});
});
function changeContent(psData, pnId) {
  if (pnId) {
    messageLu(pnId);
  }    
  $("#overlay_message_head_from").html('<u>De :</u> '+psData['from']);
  $("#overlay_message_head_to").html('<u>A :</u> '+psData['to']);
  $("#overlay_message_head_sujet").html('<u>Sujet :</u> '+psData['sujet']);
  $("#overlay_message_contenu").html(psData['message']);
}
function messageLu(pnId) { 
  if ($("#abu_message_bloc_"+pnId).hasClass('abu_message_bloc_non_lu')) {
      $.ajax({
           type: "POST",
           url: "<?php echo url_for('moncahierliaison/checkMessageAjax') ?>",
           dataType: "json",
           async: false,
           data: "idMessage="+pnId,
           success: function(sData){
            $("#abu_message_bloc_"+pnId).removeClass('abu_message_bloc_non_lu');
            $("#abu_message_lu_"+pnId).html('<?php echo image_tag('mail-open.png') ?>');              
           },
           error: function (sData) {
               alert('Error server');
           }
      });      
  }
}
function displayMessage(pnIdMessage) {
    if ($("#abu_message_corps_"+pnIdMessage).is(":visible")) {
     $("#abu_message_corps_"+pnIdMessage).hide();   
    } else {
     $("#abu_message_corps_"+pnIdMessage).show();
     messageLu(pnIdMessage);
    }
}
function openMessage(pnId, pnActions) {
  $.ajax({
       type: "POST",
       url: "<?php echo url_for('moncahierliaison/getMessageAjax') ?>",
       dataType: "json",
       async: false,
       data: "idMessage="+pnId,
       success: function(sData){
          changeContent(sData, pnId);
       },
       error: function (sData) {
           alert('Error server');
       }
  });
  if (pnActions == 1) {
      sHref = $("#abu_add_message_"+pnId).attr("href");
      $("#overlay_message_actions").html("<a href='"+sHref+"'>Répondre à ce message</a>");
  }
  $("#mies1").overlay().load();  
}
</script>
<div class="overlay_message" id="mies1">
    <div class="overlay_message_display">
        <div class="overlay_message_head">
            <div id="overlay_message_head_from"></div>
            <div id="overlay_message_head_to"></div>
            <div id="overlay_message_head_sujet"></div>
        </div>
        <div class="overlay_message_corps">
          <div id="overlay_message_contenu"></div>
        </div>
        <div id="overlay_message_actions">
        </div>
    </div>
</div>
<h2><?php echo $oCahier->getLib() ?></h2>
<div class="abu_cahier_liaison">
    <div class="abu_cahier_liaison_top">
    </div>
<div class="abu_cahier_liaison_list">    
  <?php if (!$sf_user->hasGroup('eleves')): ?>    
      <div class="abu_add_message_cahier_liaison">
        <?php echo link_to(' Nouveau message','message_liaison/new?id_cahier_liaison='.$oCahier->getId(), array('id' => 'abu_add_message')); ?>
      </div>
    <?php endif; ?>      
  <?php if (isset($pager)): ?>
    <?php $oMessages = $pager->getResults() ?>
    <ul id="navigation">
    <?php $oTree = Doctrine_Core::getTable('tbl_message')->getTree(); ?>
    <?php $oTree->setBaseQuery(Doctrine::getTable('tbl_message')->retrieveSortMessageListFilter($oCahier->getId(), array())); ?>
    <?php $prevLevel = 0;?>
    <?php $nUser = $sf_user->getId(); ?>
    <?php foreach($oMessages as $oMessage): ?>
        <?php $options = array('root_id' => $oMessage->getId());  ?>
        <?php if($prevLevel > 0): ?>
            <?php echo str_repeat('</li></ul>', $prevLevel);
                  $prevLevel = 0; ?>
        <?php endif ?>
        <?php $LevelRoot = 0;?>
        <?php foreach($oTree->fetchTree($options) as $record): ?>
            <?php $sClasse="" ?>
            <?php if (!($sf_user->hasGroup('eleves') && $record->getConfidentiel())): ?>
                <?php if ($LevelRoot == 0) { $sClasse="background_root"; } ?>
                <?php if($prevLevel > 0 && $record['level'] == $prevLevel) { echo '</li>'; } ?>
                <?php if($record['level'] > $prevLevel) { 
                       echo '<ul>';
                      } elseif ($record['level'] < $prevLevel) {
                          echo str_repeat('</ul></li>', $prevLevel - $record['level']);
                      } ?>
                   <li id ="phtml2_<?php echo $record->id ?>" class="<?php echo $sClasse ?>" <?php if ($record['level'] > 0 && $record->getConfidentiel() == false) echo "style='background-color: #63ba41'"; ?><?php if ($record->getConfidentiel()) echo "style='background: url(../images/confidentiel.jpg);color: #fff;'"; ?>>                     
                    <?php $oMessageFor = doctrine::getTable('tbl_message_for')->findBySql('id_user = ? and id_message = ?', array($nUser, $record->getId()), doctrine_core::HYDRATE_RECORD) ?>
                    <?php if ($oMessageFor->count() > 0): ?>
                        <?php if ($oMessageFor[0]->getIsRead()): ?>
                          <?php $bRead = true; ?>
                        <?php else: ?>
                          <?php $bRead = false; ?>
                        <?php endif; ?>
                    <?php else: ?>
                        <?php $bRead = true; ?>
                    <?php endif; ?>                       
                    <div class="abu_message_bloc <?php echo $bRead==true?'':'abu_message_bloc_non_lu' ?>" id="abu_message_bloc_<?php echo $record->getId() ?>">
                      <div class="abu_message_lu" id="abu_message_lu_<?php echo $record->getId() ?>">
                        <?php if ($bRead): ?>
                          <?php echo image_tag('mail-open.png') ?>
                        <?php else: ?>
                          <?php echo image_tag('mail-closed.png') ?>
                        <?php endif; ?>                          
                      </div>   
                      <div class="abu_message_priorite">
                          <?php echo $record->getTblPriorite() ?>
                      </div>                     
                      <div class="abu_message_from"><?php echo substr($record->getSfGuardUser()->getEmailAddress(), 0, 20).'...' ?></div>
                      <div class="abu_message_titre"><a href="#" onClick="displayMessage(<?php echo $record->getId() ?>)"><?php echo nl2br($record->getSujet()) ?></a></div>
                      <div class="abu_message_actions">
                          <a href="#" onClick="openMessage(<?php echo $record->getId()?>, <?php echo $sf_user->hasGroup('eleves')?0:1 ?>)"><?php echo image_tag('mail-voir.png', array('title' => 'Voir message')) ?></a>
                          <?php if (!$sf_user->hasGroup('eleves')): ?>
                            <?php echo link_to(image_tag('mail-repondre.png', array('title' => 'Répondre à ce message')),'message_liaison/new?id_cahier_liaison='.$oCahier->getId().'&id_message='.$record->getId(), array('id' => 'abu_add_message_'.$record->getId())); ?>
                          <?php endif; ?>
                      </div>
                      <div class="abu_message_date"><?php echo format_date($record->getCreatedAt(),  'dd MMMM yyyy', 'fr') ?></div>
                      <div class="abu_message_corps" id="abu_message_corps_<?php echo $record->getId() ?>">
                          <?php echo sfOutputEscaper::unescape(nl2br($record->getMessage())) ?>
                      </div>                      
                      </div>
                <?php $prevLevel = $record['level']; ?>
                <?php $LevelRoot++;?>
             <?php endif; ?>
        <?php endforeach; ?>
    <?php endforeach; ?>
        <?php if($prevLevel > 0): ?>
            <?php echo str_repeat('</li></ul>', $prevLevel);
                  $prevLevel = 0; ?>
        <?php endif ?>
    </ul>
    <?php if ($pager->haveToPaginate()): ?>
      <div class="abu_pagination">
          <ul>
              <li>
                <a href="<?php echo url_for('cahier_liaison', $message) ?>?page=1">
                <img src="/images/first.png" alt="First page" title="First page" />
                </a>
              </li>
              <li>
              <a href="<?php echo url_for('cahier_liaison', $message) ?>?page=<?php echo $pager->getPreviousPage() ?>">
                <img src="/images/previous.png" alt="Previous page" title="Previous page" />
              </a>
              </li>
        <?php foreach ($pager->getLinks() as $page): ?>
          <?php if ($page == $pager->getPage()): ?>
              <li>
                <span style="font-size: 14px;"><?php echo $page ?></span>
              </li>
          <?php else: ?>
            <li>
            <a class="abu_pagination_chiffre" href="<?php echo url_for('cahier_liaison', $message) ?>?page=<?php echo $page ?>"><?php echo $page ?></a>
            </li>
          <?php endif; ?>
        <?php endforeach; ?>
            <li>
        <a href="<?php echo url_for('cahier_liaison', $message) ?>?page=<?php echo $pager->getNextPage() ?>">
          <img src="/images/next.png" alt="Next page" title="Next page" />
        </a>
            </li>
            <li>
                <a href="<?php echo url_for('cahier_liaison', $message) ?>?page=<?php echo $pager->getLastPage() ?>">
                  <img src="/images/last.png" alt="Last page" title="Last page" />
                </a>
            </li>
          </ul>
      </div>
    <?php endif; ?>
  <?php endif; ?>   
</div>
    <div class="abu_cahier_liaison_bord_droit">
    </div>     
    <div class="abu_cahier_liaison_bottom">
    </div>    
</div>