<?php
/** 
 * Author: Thomas GILBERT <thomas.gilbert@ryxeo.com>
 * Date: 2011
 * Version: 1.0
 * @licence Affero GPL 3
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class tbl_groupeForm extends Plugintbl_groupeForm
{
  public function configure()
  {
      parent::configure();
      $oUser = sfContext::getInstance()->getUser();
      if (!$oUser->isSuperAdmin()) {
          $nDomaine =  $oUser->getDomaine();
          unset($this['id_domaine']);
          $qUserDisplay = $this->getUserListDomaine($nDomaine);
          $this->widgetSchema['sf_guard_user_list'] =  new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'sfGuardUser',
                                                                                                         'add_empty' => false,
                                                                                                         'query' => $qUserDisplay));
      }
      unset($this['created_at'], $this['updated_at'], $this['slug']);
  }
  public function getUserListDomaine($pnDomaine) {
    $query = Doctrine::getTable('sfGuardUser')->createQuery('g');
    $query->where('g.id_domaine=?', $pnDomaine);
    return $query;
  }
}
