<?php
/** 
 * Author: Thomas GILBERT <thomas.gilbert@ryxeo.com>
 * Date: 2011
 * Version: 1.0
 * @licence Affero GPL 3
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class tbl_groupeuserTable extends Plugintbl_groupeuserTable
{
    public static function getInstance()
    {
        return Doctrine_Core::getTable('tbl_groupeuser');
    }
    public function findUser($pnGroupe) {
        $q = $this->createQuery('g');
        $q->addWhere('g.id_groupe = ?', $pnGroupe);
        $oGroupeUsers = $q->execute();
        $aUser = array();
        foreach ($oGroupeUsers as $oGroupeUser) {
          $aUser[] = $oGroupeUser->getIdSfguarduser();
        }
        return $aUser;
    }
    public function authoriseRespEleve($psUsername, $pnUserResp) {
        $oQuery = $this->createQuery('gu');
        $oQuery->leftJoin('gu.tbl_groupe g');
        $oQuery->where('g.titre = ?', sfConfig::get('app_prefixe_resp_legal').$psUsername);
        $oQuery->andWhere('gu.id_sfguarduser = ?', $pnUserResp);
        $oQuery->execute();
        if ($oQuery->count() > 0) {
           return true;
        }
        return false;
    }
}